Skip to main content
GET
List reports

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

reportType
enum<string>
required

Report type to list.

Available options:
managed_payout_transactions,
managed_payment_wallet_balances,
managed_payin_transactions,
camt_managed,
camt053,
camt052,
daily_statement_csv
Example:

"managed_payout_transactions"

startDate
string<date>
required

Start of the date range to list (inclusive), formatted as YYYY-MM-DD. Must be in the past and on or before endDate.

Example:

"2025-01-01"

endDate
string<date>
required

End of the date range to list (inclusive), formatted as YYYY-MM-DD. Must be in the past or present and on or after startDate.

Example:

"2025-01-31"

timeframe
enum<string>

Filters results to a single aggregation window. When omitted, reports of all timeframes are returned.

Available options:
daily,
monthly
Example:

"daily"

pageBefore
string

Opaque cursor for the previous page. Use the value from the Link response header exactly as returned.

pageAfter
string

Opaque cursor for the next page. Use the value from the next link in the Link response header exactly as returned.

The resource returns the first page if pageAfter is not specified.

pageSize
integer

Limits the number of items to be returned.

Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.

If avoided, the collection will determine the page size itself.

Required range: x >= 1
Example:

5

Response

Successfully retrieved a list of reports.

data
object[]